import os

import hobo.test_utils

LANGUAGE_CODE = 'en-us'
BROKER_URL = 'memory://'

INSTALLED_APPS += ('hobo.agent.common',)

ALLOWED_HOSTS.append('localhost')

TEMPLATES[0]['OPTIONS']['debug'] = True

MIDDLEWARE = MIDDLEWARE + (
    'hobo.middleware.RobotsTxtMiddleware',
    'hobo.provisionning.middleware.ProvisionningMiddleware',
    'hobo.middleware.maintenance.MaintenanceMiddleware',
)

HOBO_MANAGER_HOMEPAGE_URL_VAR = 'portal_agent_url'
DATABASES = {
    'default': {
        'ENGINE': os.environ.get('DB_ENGINE', 'django.db.backends.sqlite3'),
        'NAME': hobo.test_utils.get_safe_db_name(),
    }
}

TEMPLATES[0]['OPTIONS'].setdefault('builtins', []).append('hobo.templatetags.hobo')
